#pragma once
#include "../Scene/Cube.h"
#include "../Shader.h"
#include "GL\glew.h"

namespace babyOnWheels {
	namespace entities {
		using namespace scene;
		class Entity
		{
		public:
			Entity(SceneObject* _model, Shader* _shader);
			~Entity();

			virtual void update(float time_delta);
			virtual void draw(GLuint handle);

			virtual SceneObject* getModel();

		protected:
			Shader* shader;
			SceneObject* model;
		};
	}
}
