#pragma once
#include <iostream>
#include <GL\glew.h>
#include <GLFW\glfw3.h>

class FrameBufferObject
{
public:
	FrameBufferObject(GLuint FramebufferName, int width, int height);
	~FrameBufferObject();

	GLuint getName();
	GLuint getTexture();
	GLuint getDepthTexture();
	GLuint getBrightTexture();

	void bindTexture();
	void drawOnScreen();
private:
	GLuint name;
	GLuint renderedTexture;
	GLuint brightTexture;
	GLuint depthTexture;
};

