
#include <assimp\Importer.hpp>
#include <assimp\scene.h>
#include <assimp\postprocess.h>
#include <fstream>
#include <GL\glew.h>
#include <iostream>
#include <assimp\vector3.h>
#include <glm/glm.hpp>
#include <vector>

#include <bullet3-2.83.7\src\btBulletCollisionCommon.h>
#include <bullet3-2.83.7\src\btBulletDynamicsCommon.h>


class ModelLoader
	// http://www.mbsoftworks.sk/index.php?page=tutorials&series=1&tutorial=23 (23.04.2016)
{
public:
	ModelLoader();
	~ModelLoader();

	btBvhTriangleMeshShape* loadModel(const std::string& pathFile, GLuint vertexBuffer, GLuint normalBuffer, GLuint uvBuffer);
	
	bool ModelLoader::loadAssImp(
		const char * path,
		std::vector<unsigned short> & indices,
		std::vector<glm::vec3> & vertices,
		std::vector<glm::vec2> & uvs,
		std::vector<glm::vec3> & normals
		);
	/*
public:
	bool LoadModelFromFile(char* sFilePath);
	bool LoadModelFromFileBumpMap(char* sFilePath, char* sColorMap, char* sNormalMap);

	static void FinalizeVBO();
	static void BindModelsVAO();

	void RenderModel();
	// void RenderModelBumpMap(CShaderProgram* spProgram);

	ModelLoader();
	~ModelLoader();
private:
	bool bLoaded;
	static CVertexBufferObject vboModelData;
	static UINT uiVAO;
	static vector<CTexture> tTextures;
	vector<int> iMeshStartIndices;
	vector<int> iMeshSizes;
	vector<int> iMaterialIndices;
	int iNumMaterials;
	*/

};

