#pragma once
#include <GL\glew.h>
#include <string>
#include <iostream>

namespace babyOnWheels {
	class Texture
	{
	public:
		Texture(const std::string path);
		~Texture();

		void bind(int unit);

		GLuint load_texture(std::string imagepath);
		GLuint getHandle();

	private:
		GLuint handle;
	};
}
