#pragma once

#include <glm\glm.hpp>
#include <GL\glew.h>
#include <GLFW\glfw3.h>

namespace babyOnWheels {
	namespace scene {
		class Light
		{
		public:
			Light(glm::vec3& _col, glm::vec3& _rot, glm::vec3& _ambient);
			virtual ~Light();
			virtual void bind(GLuint handle);
			glm::vec3 getRotation();
		private:
			glm::vec3 ambientIntensity;
			glm::vec3 color;
			glm::vec3 rotation;
		};
	}
}
