#include "generateViewChangedObject.h"
#include <iostream>
#include <glm\glm.hpp>
#include <glm\gtc\matrix_transform.hpp>
#include <glm\gtx\rotate_vector.hpp>

using namespace babyOnWheels;
using namespace scene;

generateViewChangedObject::generateViewChangedObject()
{
}

void generateViewChangedObject::changeObject(SceneObject* object)
{
	glm::mat4 scale = glm::scale(object->modelMatrix, glm::vec3(0.5f, 0.5f, 0.5f));
	glm::mat4 rotate = glm::rotate(object->modelMatrix, 20.0f, glm::vec3(0, 1, 0));

	object->modelMatrix = object->modelMatrix * scale * rotate;

}

generateViewChangedObject::~generateViewChangedObject()
{
}
